Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class DiagramImporterRegistry

public class DiagramImporterRegistry

Inner Class Summary
`public static class` | DiagramImporterRegistry.ImporterInfo Utility class that stores information about `DiagramImporter`.

Field Summary
`final static String` | `AUTODETECT`
`final static String` | `DESCRIPTION`
`final static String` | `FORMAT`
`final static String` | `IMPORT`
`final static String` | `IMPORTER_CLASS`

Method Summary
`static DiagramImporter[]` | `getAutoDetectImporter(File file)`
`static DiagramImporter` | `getImporter(File file, String format)` Returns suitable importer for the specified file and format.
`static HashMap` | `getRegistry()`

Field Detail

### AUTODETECT

    public final static String AUTODETECT

### DESCRIPTION

    public final static String DESCRIPTION

### FORMAT

    public final static String FORMAT

### IMPORT

    public final static String IMPORT

### IMPORTER_CLASS

    public final static String IMPORTER_CLASS

Method Detail

### getAutoDetectImporter

    public static DiagramImporter[] getAutoDetectImporter(File file)

### getImporter

    public static DiagramImporter getImporter(File file, String format)

  Returns suitable importer for the specified file and format.
  Parameters:
    file - - diagram file to be imported
    format - - format name. If format equals `autodetect`, then registry checks all possible importers and returns first that can accept this format. Otherwise it checks only importers that are registered for this format.
  returns most suitable importer for this file or null if suitable importer is not found.
  pending possibly Importer should return not boolean, but integer that indicates sutability of the importer for the specified format., who should pring in log detected format and importer name - registry or importer?

### getRegistry

    public static HashMap getRegistry()

Association Links

to Class java.lang.String

to Class org.apache.log4j.Category

to Class java.util.HashMap

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM